Keysight N6463B Thunderbolt Compliance Test Application

Version 01.12.0000

© Keysight Technologies 2012-2016

Warranty
Technology License
Restricted Rights Legend
Safety Notices
Trademarks

March 2016

Table of Contents

Thunderbolt Compliance Test Application—At a Glance
Starting the Thunderbolt Compliance Test Application
To view/minimize the task flow pane
To view/hide the toolbar
Creating or Opening a Test Project
To set load preferences
Setting Up the Test Environment
Setting Up InfiniiSim
Setting Up the Precision Probe/Cable
Acquisition Setup
Selecting Tests
Configuring Tests
Compliance Limits
To Activate/Refresh Limit Set
To Create/Edit Limit Set
Connecting the Oscilloscope to the DUT
Running Tests
To select the Store Mode
To run multiple times
To send emails on pauses or stops
To pause or stop on events
To specify the event
To set the display preferences
To set the run preferences
Automating the Application
Viewing Results
To delete trials from the results
To show reference images and flash mask hits
To change margin thresholds
To change the test display order
To set trial display preferences
Viewing/Exporting/Printing the Report
To export the report
To print the report
To set HTML Report preferences
Understanding the Report
Saving Test Projects
To set AutoRecovery preferences
User-Defined Add-Ins
To install an add-in
To remove an add-in
Controlling the Application via a Remote PC
To check for the App Remote license
To identify the remote interface version
To enable the remote interface
To enable remote interface hints
Using a Second Monitor
Installing the USB-to-Serial Converter Driver

N6463B ThunderboltTM Compliance Test Application

Online Help


Thunderbolt Compliance Test Application—At a Glance

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Thunderbolt Compliance Test Application—At a Glance

· The N6463B automated test application for the Thunderbolt host/device transmitter provides a framework for using Keysight Infiniium Oscilloscopes to perform compliance testing. The automated test application guides you through the process of selecting and configuring tests, making oscilloscope connections, running tests, and evaluating the test results.

· The Thunderbolt compliance test application requires:

  • N6463B Thunderbolt Compliance Test Application software.

  • The minimum version of Infiniium oscilloscope software (see the N6463B test application release notes).

  • N5465A InfiniiSim Waveform Transformation Toolset software (optional).

  • N2809A Precision Probe Oscilloscope software (optional).

  • TenLira application from Intel® Corporation (optional, if automation is needed).

  • ActiveTcl® application from ActiveState® (optional, if automation is needed).

  • Test scripts from Intel Corporation downloaded to the “TBT Electrical” folder of the TenLira software directory (optional, if automation is needed).

  • Keyboard, qty = 1, (provided with the Keysight Infiniium oscilloscope).

  • Mouse, qty = 1, (provided with the Keysight Infiniium oscilloscope).

  • Precision BNC-to-SMA adapters.

  • 50 ohm phase-aligned coaxial cables with SMA male connector (24” or shorter) (matched SMA cable pair).

  • 50 ohm coaxial cables with SMA male connector (24” or shorter) (matching is not necessary for crosstalk generation).

  • Thunderbolt plug adapter (TBT-TPA-P) from Wilder Technologies.

  • Crosstalk generators:

    1. N4903B J-BERT (12.5 GB/s and above), or

      • N4911A-002 adapters, 3.5 mm (f) to 2.4 mm (m).

      • 11636B power divider.

      2. 2nd Thunderbolt device (the transmitter signal from the 2nd Thunderbolt device can be used for crosstalk), or

      3. Thunderbolt Micro-Controller Gen 2.0 Test Module (TBT-TPA-UHG2) from Wilder Technologies.

  • Keysight also recommends using a second monitor to view the compliance test application.

· If you want to perform automation in the test script, you may use the following hardware setup:

  1. Thunderbolt Micro-Controller Test Module (TBT-TPA-UH) or Thunderbolt Micro-Controller Gen 2.0 Test Module (TBT-TPA-UHG2) from Wilder Technologies.

  2. USB cable.

· If you want to perform channel skew calibration, you may use the following hardware setup:

  1. 50 ohm coaxial cable with SMA male connector (24” or shorter).

  2. 11636B power divider.

To use the Thunderbolt Compliance Test Application, see:

  • Starting the Thunderbolt Compliance Test Application

    • To view/minimize the task flow pane

    • To view/hide the toolbar

  • Creating or Opening a Test Project

    • To set load preferences

  • Setting Up the Test Environment

  • Setting Up InfiniiSim

  • Setting Up the Precision Probe/Cable

  • Acquisition Setup

  • Selecting Tests

  • Configuring Tests

    • Compliance Limits

      • To Activate/Refresh Limit Set

      • To Create/Edit Limit Set

  • Connecting the Oscilloscope to the DUT

  • Running Tests

    • To select the Store Mode

    • To run multiple times

    • To send emails on pauses or stops

    • To pause or stop on events

    • To specify the event

    • To set the display preferences

    • To set the run preferences

  • Automating the Application

  • Viewing Results

    • To delete trials from the results

    • To show reference images and flash mask hits

    • To change margin thresholds

    • To change the test display order

    • To set trial display preferences

  • Viewing/Exporting/Printing the Report

    • To export the report

    • To print the report

    • To set HTML Report preferences

  • Understanding the Report

  • Saving Test Projects

    • To set AutoRecovery preferences

  • User-Defined Add-Ins

    • To install an add-in

    • To remove an add-in

  • Controlling the Application via a Remote PC

    • To check for the App Remote license

    • To identify the remote interface version

    • To enable the remote interface

    • To enable remote interface hints

  • Installing the USB-to-Serial Converter Driver


Starting the Thunderbolt Compliance Test Application

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Starting the Thunderbolt Compliance Test Application

  1. From the Infiniium oscilloscope's main menu, choose Analyze>Automated Test Apps>N6463B Thunderbolt Test App.

  2. The Thunderbolt Compliance Test Application window appears.

· The following table gives you a summary of the functionality of each tab in the Thunderbolt Compliance Test Application:

Test Application Tabs | Functionality
Setup | Lets you identify the test environment.
Select Tests | Lets you select the tests you want to run. The tests are organized hierarchically so you can select all tests in a group. After tests are run, status indicators show which tests have passed, failed, or not been run, and there are indicators for the test groups.
Configure | Lets you configure the test parameters (for example, stimulus frequency).
Connect | Shows you how to connect the oscilloscope to the device under test for the tests that are to be run.
Run Tests | Starts the automated tests. If the connections to the device under test need to be changed while multiple tests are running, the tests pause, show you how to change the connection, and wait for you to confirm that the connections have been changed before continuing.
Automation | Lets you automate various attributes of the test environment.
Results | Contains more detailed information about the tests that have been run. You can change the thresholds at which marginal or critical warnings appear.
Html Report | Shows a compliance test report that can be printed.

See Also

· To view/minimize the task flow pane

· To view/hide the toolbar

Next

· Creating or Opening a Test Project


To view/minimize the task flow pane

Starting the Thunderbolt Compliance Test Application

To view/minimize the task flow pane

  1. To toggle between a minimized and restored task flow pane, choose View>Task Flow from the Thunderbolt Compliance Test Application's main menu.

  2. To minimize the task flow pane, click the minimize button in the pane.

  3. To restore a minimized task flow pane, click the [image] button in the pane.


To view/hide the toolbar

Starting the Thunderbolt Compliance Test Application

To view/hide the toolbar

· To toggle between a hidden and visible toolbar, click View>Toolbar from the Thunderbolt Compliance Test Application's main menu.


Creating or Opening a Test Project

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Creating or Opening a Test Project

· To create a new test project:

  1. Choose File>New Project... from the Thunderbolt Compliance Test Application's main menu.

· A new, empty project, with all the default settings is created. If you create a new project again, the Start New Project window appears where you may choose to retain some of the pre-configured settings of the tool.

  2. Click OK to start a new project or click Cancel to return to the project you are working on.

· To open an existing test project:

  1. Choose File>Open Project... from the Thunderbolt Compliance Test Application's main menu.

  2. In the Open dialog box, browse to a test project directory and select the desired *.proj file.

  3. Click Open.

See Also

· To set load preferences

Next

· Setting Up the Test Environment


To set load preferences

Creating or Opening a Test Project

To set load preferences

  1. From the Thunderbolt Compliance Test Application's main menu, choose View>Preferences....

  2. In the Preferences dialog, click the Save/Load tab.

  3. In the Save/Load tab, you can choose to restore saved test selections when loading a project.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


Setting Up the Test Environment

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Setting Up the Test Environment

  1. Click the Set Up tab, or click the Set Up box in the Task Flow pane.

· The Thunderbolt Test Environment Setup consists of three primary sections to configure the Device Under Test (DUT) and its associated signal.

  1. Device Under Test (DUT)

  2. Automation

  3. Specification Version

Device Under Test (DUT)

This section allows you to define and configure the DUT.

  1. Device Type : — Select either Device or Host to define the type of the DUT you are using. By default, Device is selected.

  2. Number of Port : — Select either 1 Port or 2 Ports to define the number of ports supported by the DUT. By default, 1 Port is selected.

  • Notice that when you select 2 Ports, the drop-down field showing Port 2 and the corresponding Test Lane : is enabled.

  3. Select the port from the drop-down options to which the DUT is connected. By default, Port 1 and Port 2 are selected in the respective drop-down options. The Thunderbolt chips have either a one-port or two-ports design and you may manually edit the name of the port for easy identification in the test reports. For example, QA Port 1 and QA Port 2 in the drop-down list are edited port names.

  4. Select the lane in the drop-down options for Test Lane : depending on whether you want to test either one or both data lanes for each of the ports. For a DUT with one port, both Lane 0 and Lane 1 are available. Each lane represents one data link.

  5. Product Info — Define the following attributes for the DUT. These attributes are included in the HTML report generated by the Thunderbolt Compliance Test Application at the end of test runs.

  • Device Identifier :—Type the name for identifying the DUT and select the name appropriate to the device you are running tests on, if there are more than one identifiers defined. This is helpful when you are running tests on several devices and you want to identify them separately.

  • User Description :—Type a brief description with respect to the identifier you have assigned for the DUT. Select the appropriate description, if you have description for more than one DUT's defined.

  • Comments :—Type any comments related to the tests that you are running on the DUT.

Automation

This section allows you to configure automation settings to run tests on the DUT.

Thunderbolt Controller

· Select a type of Thunderbolt Controller (developed by Wilder Technologies) that is pre-defined in the Thunderbolt Compliance Test Application.

  1. TBT-TPA-UH—Refers to the Thunderbolt Micro-Controller Test Module.

  2. TBT-TPA-UHG2—Refers to the Thunderbolt Micro-Controller Gen2.0 Test Module.

· The Thunderbolt Micro-Controller configures the DUT to generate a corresponding test pattern during testing.

  1. When you select the TBT-TPA-UH Thunderbolt Micro-Controller Test Module, the Use Thunderbolt Controller (*For device testing ONLY) check-box is enabled in the Automation section, by default. You can use this option when you configure the DUT type as Device only.

This option is disabled automatically when you configure the DUT type as Host.

  2. When you select the TBT-TPA-UHG2 Thunderbolt Micro-Controller Gen 2.0 Test Module, the Use Thunderbolt Controller check-box appears and is, by default, enabled in the Automation section. This option is available for both Device and Host Device Type.

· Notice that the Thunderbolt Compliance Test Application defines an Intel TenLira Directory. This field shows the default installation directory of the TenLira software. It is imperative that you define TenLira test scripts prior to enabling automation. Refer to ThunderboltTM Electrical Compliance Thunderbolt Test Scripts to perform installation and setup of TenLira test scripts.

  1. If the TenLira software is installed in a different directory, click the [image] button. The Browse For Folder dialog appears.

  2. Browse for the directory/folder on the Oscilloscope that contains the TenLira software.

  3. Click OK to return to Thunderbolt Test Environment Setup.

Note

To enable the use of the Thunderbolt Micro-Controller board from Wilder Technologies, you must install the USB-to-Serial converter driver in the Infiniium Oscilloscope. Refer to Installing the USB-to-Serial Converter Driver for details on how to install the driver.

Crosstalk Generator

· This section allows selection of the crosstalk signal used in the Rx input to provide crosstalk between the Transmitter and Receiver when you run Transmitter tests.

· Select a Crosstalk Generator:

  1. Manual—Denotes another Thunderbolt device or a pulse/pattern generator. By default, this option is selected. You must configure such a device externally.

  2. JBERT N4903B—Denotes the N4903B High Performance Serial BERT (J-BERT).

· When you select JBERT N4903B, the [image] button is enabled. Click this button to access the Configure Devices dialog to set up a connection.

· Choose IP Address or SICL Address to type the appropriate value. Notice that you must make a non-socketed physical connection between the oscilloscope and the JBERT N4903B device.

· Click [image] to verify the connection. If connection is successful, the application prompts the appropriate message.

· Click OK on the Thunderbolt Test Information prompt. Notice that after the JBERT N4903B is successfully connected, the Crosstalk Calibration section is enabled. Note that before running a crosstalk differential amplitude calibration, you must calibrate the Infiniium Oscilloscope. Refer to the Infiniium Oscilloscope's Help for more details on performing calibration.

· To perform automatic calibration of the Crosstalk Differential Amplitude, click the [image] button without selecting the Manual Calibration check-box.

· You may also select Manual Calibration for the calibration of the crosstalk differential amplitude. After selecting the check-box, click the [image] button. The Test Instruction for Thunderbolt Test Application displays where calibration instructions are displayed as a guide to set up the connections for calibration.

· After you follow the instructions for the physical connection between the Infiniium Oscilloscope and the JBERT N4903B device, click Done. The application loads the calibration settings to the Crosstalk Generator and the Oscilloscope.

· Vary the clock output voltage until the desired Crosstalk Differential Amplitude is measured by the Oscilloscope.

· In either case, once the process of calibration is done, the Configure Devices displays the status. Click Done to return to the Thunderbolt Test Environment Setup.

Saved Waveform

· This section allows you to load saved waveforms for the Transmitter tests.

  1. Select the check-box for Use Saved Waveform to enable the [image] button.

  2. Click the [image] button to load the waveform file for each test pattern. The Load Saved Waveform dialog displays.

  3. For the tests you want to load the waveform file, you may either type the file path and file name or click the [image] button. The Load <signal-name> dialog displays where you can navigate on the local disk where the waveform (*.wfm) file is placed.

  4. Select the waveform file and click Open. The file path and file name are populated in the respective field. Click Done once you are finished loading waveform files.

  5. The application prompts a Thunderbolt Test Error: Tests Disabled message indicating the tests that become unavailable upon loading waveform files.

  6. Click OK to return to the Thunderbolt Test Environment Setup.

Note

Any tests that are shown to be disabled are unavailable for selection under the Select Tests tab. To run such tests, you must disable the Use Saved Waveform option.

Calibration

· This section allows the Oscilloscope Channel Skew Calibration or Receiver (Rx) Calibration and displays the status after the Channel Skew Calibration is performed. You must perform Channel Skew Calibration to remove any timing delays caused by SMA cables, connectors or adapters to obtain precise measurements.

  1. Prior to performing the Oscilloscope Channel Skew Calibration or the Receiver (Rx) Calibration, you must calibrate the Infiniium Oscilloscope. Refer to the Infiniium Oscilloscope's Help for more details on performing calibration.

  2. To perform either Channel Skew Calibration or Receiver (Rx) Calibration, click the [image] button in the Set Up tab. The Calibration dialog displays.

  3. To perform automatic Channel Skew Calibration, do not select the Manual Calibration check-box. The rest of the check-boxes are selected by default. Click the [image] button to start the calibration. The Test Instruction for Thunderbolt Test Application displays where calibration instructions are displayed as a guide to set up the connections for calibration.

  4. Click Done after setting up the physical connections. The automatic Channel Skew Calibration typically results in 1 ps or less residual skew between Oscilloscope Channels.

  5. Click Done to return to the Thunderbolt Test Environment Setup. However, if you wish to remove the last few picoseconds of skew between Channels, you may perform manual calibration and adjust the skew on each Channel.

  6. Select the Manual Calibration check-box for manual Channel Skew Calibration. When done, click the [image] button to start the calibration.

  7. The application loads the calibration settings to the Oscilloscope.

  8. On the Channel dialog of the Oscilloscope, vary the Skew setting until the minimum delta time between calibration Channels is obtained.

  9. Click the Receiver (Rx) Calibration to perform Receiver (Rx) Calibration on the Calibration dialog.

  10. Click the [image] button to perform the Rx Stress Test Calibration for Data Dependant Jitter (DDJ) and Random Jitter (RJ)/Bounded Uncorrelated Jitter (BUJ), respectively. The application displays the following prompts:

· Click OK on these prompts. This implies that Oscilloscope is automatically setup with all the required measurements allowing you to perform the Rx stress test calibration. However, you must manually manipulate the jitter settings in the stress signal source.

  11. When you have performed the Channel Skew Calibration, the Set Up tab displays the Calibration status.

SpecificationVersion

· This section specifies the Thunderbolt Interconnect Specification used for compliance testing from the drop-down list. The test limits are updated based on the specification version you select. Currently, TBT Specification Rev 1.0 is the only option available.

· By default, the Hide Informative Tests check-box is selected to hide all informative tests. Only compliance tests with limits are displayed in the Select Tests tab in such a case.

Note

The tests that appear on the Select Tests tab are determined by the choices selected on the Set Up tab. The test list gets rebuilt each time a selection is made.


Setting Up InfiniiSim

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Setting Up InfiniiSim

Note

The InfiniiSim setup feature is only accessible from the Thunderbolt Compliance Test Application if it is currently licensed on the Oscilloscope.

  1. From the Thunderbolt Compliance Test Application's main menu, click Tools>Infiniium>InfiniiSim....

  2. In the Configure InfiniiSim dialog box, select either the 2 Port or 4 Port setting for the respective scope channel.

2 Port setting

· Use this setting to configure only a 2-port channel for your test set up.

  1. When you select the 2 Port radio button, the Configure InfiniiSim dialog box displays several parameters along with the option to configure the Transfer Function feature:

4 Port setting

· Use this setting to configure either two channels with 4-ports or to configure 4-ports on a single channel.

  1. In this example, you may either select 4 Port (Channels 1 & 3) or 4 Port (Channel 1). For the rest of the channels, you may select either of the following options:

  • For Channel 2, select either 4 Port (Channels 2 & 4) or 4 Port (Channel 2)

  • For Channel 3, select either 4 Port (Channels 1 & 3) or 4 Port (Channel 3)

  • For Channel 4, select either 4 Port (Channels 2 & 4) or 4 Port (Channel 4)

· The Configure InfiniiSim dialog box displays several parameters along with the option to configure the Transfer Function feature:

Note

Most of the parameters for the 4 Port InfiniiSim set up are the same. However, the extension for the Transfer Function File in the 2 Port set up is tf2 and in the 4 Port set up, the extension changes to tf4. Also, notice that the Port Extraction area is enabled only for the 4 Port (Channel 1) set up.

· For 4 Port (Channels 1 & 3)—

· For 4 Port (Channel 1)—

· You may configure the following features and parameters irrespective of whether you select 2 Port, 4 Port (Channels 1 & 3) or 4 Port (Channel 1).

· Create Transfer Function From Model...—Use this feature to create and save a configuration file for measurement and simulation circuits on the Infiniium Oscilloscope.

  1. Click the [image] button to access the Create Transfer Function dialog box.

  2. Click Start and follow the instructions as listed in the instructions. Once you have completed all steps, click Finish on the same dialog box.

· Apply Transfer Function—Use this feature to load the configuration file saved on the local disk for measurement and simulation circuits.

  1. In this area, either manually type the file path and name in the Transfer Function File field or click the [image] button to select the transfer function file from the local disk.

· Notice that the extension for the Transfer Function File in the 2 Port set up is tf2 and in the 4 Port set up, the extension changes to tf4.

  2. Select the transfer function file (*.tf2 or *.tf4) and click Open. The Transfer Function File field displays the file path and file name.

  3. Select an option from the drop-down if you wish to include or remove delay. By default, RemoveFilterDelay is selected.

  4. By default, the Bandwidth Limit field is grayed out and the value is set to 36.623 MHz. You may select the check-box to enable this field and change the value. You may also change the values for Response Correction. In the Filter Size area, you may change the values for Max Time Span and Min Frequency Resolution.

  5. Once you have finished configuring InfiniiSim for the required scope channels, click OK to save the changes or click Cancel to discard the changes and return to the Thunderbolt Compliance Test Application window.


Setting Up Precision Probe or Cable

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Setting Up the Precision Probe/Cable

Note

The Precision Probe/Cable setup feature is only accessible from the Thunderbolt Compliance Test Application if it is currently licensed on the Oscilloscope.

  1. From the Thunderbolt Compliance Test Application's main menu, click Tools>Infiniium>PrecisionProbe/PrecisionCable....

· The Configure PrecisionProbe / PrecisionCable dialog appears, where you can set up the precision probe or the precision cable.

  2. Click the Oscilloscope Channel being used.

  3. In the Mode section, select one of the following options. Notice that the display in the lower part of the dialog changes according to your selection:

· PrecisionProbe—to calibrate the probes.

· PrecisionCable—to remove insertion loss caused by cables or fixtures.

· The AC Calibration field displays the current status of the precision probe/cable.

· Prior to enabling the settings for the precision probe/cable, you must perform calibration for the probe/cable on the scope.

  4. Click the Create New... button. The Create Calibration dialog displays.

· Create Calibration dialog for PrecisionProbe:

· Create Calibration dialog for PrecisionCable:

  7. On the Create Calibration dialog, click the Start button and follow the on-screen instructions to create probe/cable calibration files. Click Finish to exit the Create Calibration dialog and return to Configure PrecisionProbe / PrecisionCable dialog.

  8. Click OK to return to the test environment.


Acquisition Setup

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Acquisition Setup

· To limit/configure the bandwidth of the oscilloscope to a certain level of frequency when running compliance tests for Thunderbolt, use the Acquisition Setup... feature.

· From the Thunderbolt Compliance Test Application's main menu, click Tools>Infiniium>Acquisition Setup....

· The Acquisition Setup dialog displays.

· In the Bandwidth Limit area, click the Enable check-box to configure the bandwidth limit of the oscilloscope.

[Caution]

Clicking Enable may cause measurements on the oscilloscope to immediately start recalculating. You must update the Infiniium Software to the latest version to avoid this effect.

· Type a value or use the [image] scroll buttons to increase/decrease the bandwidth (in GHz). By default, the application displays 1.0 GHz, which is the minimum bandwidth limit that can be configured.

· Click OK to save the changes and return to the test environment or click Cancel to discard the changes and return to the test environment. You may click Reset if you want to reset the settings for Acquisition Setup.


Selecting Tests

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Selecting Tests

  1. Click the Select Tests tab, or click the Select Tests box in the Task Flow pane.

  2. Check the tests you want to run.

· Some things to note:

  1. Checking a parent node/group will check all available sub-groups or tests.

  2. Unchecking a parent node/group will uncheck all sub-groups or tests.

  3. A parent node is checked if all subgroups are checked.

  4. A parent node is unchecked if ANY subgroup is unchecked.

Note

The tests that appear under the Select Tests tab are determined by the choices selected under the Set Up tab. The test list gets rebuilt each time a selection is made.

Unavailable Tests

· You may find that there are certain tests unavailable in the Select Tests tab, when you select the Use Saved Waveform checkbox in the Set Up tab.

Note

If a test has a non-range limit of 0, that is, value < 0, then the test application will provide a nominal value. This nominal value produces a non-infinite margin and is used to declare the 100% margin point. The assigned nominal value can be viewed at the description pane.

Using the Right-Click Pop-Up Menu

· When you right-click in the test pane, it produces a pop-up menu containing some shortcuts for selecting and deselecting tests.

When Tests Have Already Been Run

· If tests have already been run, you will see their status in the Select Tests tab.

· The status marks have the following indications:

Status Mark | Indication
 | The tests have passed.
 | The tests have failed.
 | The test has not been run or no tests in the group have been run.
 | The test is currently running.
 | Some tests in the group have been run and passed.
 | Some tests in the group have been run and failed.
 | Some tests in the group have passed and some have failed; not all of the tests have been run.
 | Some tests in the group have passed and some have failed; all of the tests have been run.
 | All the tests in the group have run and passed.
 | All tests in the group have run and failed.
 | The test is an information only test

Next

· Configuring Tests


Configuring Tests

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Configuring Tests

· Click the Configure tab, or click the Configure box in the Task Flow pane.

· Select either Compliance Mode or Debug Mode.

  • Compliance Mode— lets you choose the configuration options necessary to meet the compliance standard tests.

  • Debug Mode— lets you modify the configuration options. This can be useful, for example, when investigating a test failure.

· Select the bulleted item for the settings you want to configure; then, select or enter your settings. Note that you can also enter values in some of the drop-down selection fields. Entered values are checked for validity.

· A description of the selected configuration item appears in the lower, right part of the application window.

Tip

· A quick way to see the Debug Mode configuration option values that are used in the Compliance Mode is to switch from Compliance Mode to Debug Mode.

· A quick way to reset all the Debug configuration options is to switch from Debug Mode to Compliance Mode.

· A quick way to reset all configuration options and delete all test results is to create a new project. The new project will have default configuration options.

See Also

· Compliance Limits

Next

· Connecting the Oscilloscope to the DUT


Compliance Limits

Configuring Tests

Compliance Limits

· You may define compliance limits within the Thunderbolt Compliance Test Application by using the Compliance Limits feature.

· Using this feature, you can:

  1. Activate/Refresh a Limit Set. See To Activate/Refresh Limit Set.

  2. Create/Edit a Limit Set. See To Create/Edit Limit Set.


To Activate/Refresh Limit Set

Compliance Limits

To Activate/Refresh Limit Set

· To access the Activate/Refresh Compliance Limit Set dialog, do one of the following:

  • Under the Configure tab, click the Activate/Refresh Limit Set... button.

  • From the Thunderbolt Compliance Test Application's main menu, click Tools>Compliance Limits>Activate/Refresh limit set....

· The Activate/Refresh Compliance Limit Set dialog displays.

· By default, the Active Limit Set is (Official) Thunderbolt Interconnect Specification Revision 1.0. You may change the limit set in the Select a limit set to activate/refresh: area.

· Select an official limit set from the drop-down for Official limit sets:. Official limit sets are referred to the limit sets defined by Keysight Technologies. Usually, these limit sets reflect different versions of official specifications.

· Click User-defined limit sets: to enable the Browse button and select a file from the local disk that defines the custom limit set that you (or another user) have created. The user-defined limit sets may contain values that are different from any official specification. See To Create/Edit Limit Set on how to create a user-defined limit set.

· In either case, that is, if you select an option from Official limit sets: or select a file under User-defined limit sets:, click [image] to enable the selected limit set. This will change the limit for the configuration options that are required to meet the compliance standard tests.


To Create/Edit Limit Set

Compliance Limits

To Create/Edit Limit Set

  1. To access the Create/Edit User-Defined Limit Set dialog, click Tools>Compliance Limits>Create/Edit limit set....

· The Create/Edit User-Defined Limit Set dialog displays.

  2. Click the [image] button to load an existing official limit set or an existing user-defined limit set.

· By default, the Active Limit Set: area displays (Official) Thunderbolt Interconnect Specification Revision 1.0. Also, the Official limit sets: radio button is selected by default under the Select a limit set to load: section.

  3. You may select one of the official limit sets from the drop-down for Official limit sets:. Official limit sets are referred to the limit sets defined by Keysight Technologies.

· If you click the [image] button after selecting an official limit set, the Create/Edit User-Defined Limit Set dialog displays the limit set configuration for various tests under a selected specification.

  4. To manually define a user-defined limit set, select the User-defined limit sets: radio button to enable the field where you can type the file path and file name of the limit set file (*.lim).

· Alternatively, you may also click the [image] button to select the (*.lim) file from the local disk.

· From the Open dialog, select the limit set file (*.lim) and click Open.

· The User-defined limit sets: field displays the entire file path and name.

  5. Click the [image] button to view the attributes of the limit set file. In the Create/Edit User-Defined Limit Set dialog, notice that some of the fields, which were grayed out earlier, are populated based on the attributes of the selected limit set file.

· In the Edit summary: section, you may type/edit the name of the limit set file in the Name: field and type/edit the reference standard name in the Shared reference: field.

  6. In the Select action to perform area, you can perform one of the following actions:

Edit Limit Sets

  1. Click to select the test limit in the Select test limit(s) section that you wish to amend and modify.

  2. Click the [image] button to modify the selected test limit set in the Edit Compliance Limit dialog.

  3. Click OK to save the changes, else click Cancel, and return to the Create/Edit User-Defined Limit Set dialog.

Combine Limit Sets

  1. Select two or more test limit rows and click the [image] button to combine test limits into one limit, such that the resultant limit covers more than one test ID.

  2. In the Combine Multiple Test Limits Into One dialog, verify the selected limit sets, which you wish to combine, in the Copy limits from: drop-down field.

  3. Type a summary name and description to identify the new combined test limit.

  4. Click the [image] button to save the changes, else click Cancel, and return to the Create/Edit User-Defined Limit Set dialog.

Split Limit Sets

  1. Click the [image] button to access the Split One Test Limit Into Two dialog to split a combined test limit into single test limits.

Note

You can only split multi-test limits. If you attempt to split a single-test limit, the application prompts an error.

  2. Click the [image] button to split the required test limits by moving the selected test limits into the column on the right. Click the [image] button if you wish to retain a test limit in the original limit set.

· For proper identification of the separate limit sets, there are separate summary names and summary descriptions in the respective fields.

  3. Click the Finish button save the changes, else click Cancel, and return to the Create/Edit User-Defined Limit Set dialog.

· On the Create/Edit User-Defined Limit Set dialog, rename the new limit set with a unique name which is different from the name of any official limit set.

· Click [image] to access the Save Limit Set As dialog to save your custom limit set, either Combined or Split, to a file.

· Click Save to save the new limit file on the local disk and return to the Create/Edit User-Defined Limit Set dialog.

· Click [image] on the Create/Edit User-Defined Limit Set dialog to return to the test environment.


Connecting the Oscilloscope to the DUT

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Connecting the Oscilloscope to the DUT

· Click the Connect tab or click Connect in the Task Flow pane.

· View the Connection Diagram and follow the instructions to connect the Oscilloscope to the Device Under Test (DUT).

Note

The Connection Diagram and the list of instructions vary based on the configuration settings under the Set Up, Select Tests and Configure tabs.

· After making connections between the Oscilloscope and DUT based on the given instructions, click the I have completed these instructions check box.

· Click the Suppress all connection prompts check box if you want to suppress the pop-up messages and prompts when the tests are running. If you select this check box first, the I have completed these instructions check box gets automatically checked and grayed out.

Next

· Running Tests


Running Tests

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Running Tests

Note

You must allow the oscilloscope to warm-up at least 30 minutes before running any measurement tests.

Tip

As a best practice, calibrate the oscilloscope at least once in a year or when the Calibration ΔTemp is greater than ±5 ºC. Refer to the Help>About Infiniium... menu on the Keysight Infiniium Oscilloscope to find the Calibration ΔTemp.

  1. To run the tests selected under the Select Tests tab, do one of the following options:

· Under the Select Tests tab, use the right-click pop-up menu within the test pane to run tests. Click All Checked Tests... to run all tests that are selected or Click Selected Branch Only... to run tests in a selected branch.

· Alternatively, you may click [image] on the toolbar to run all the checked tests. This icon is active for all tabs. Click [image] on the toolbar to run tests in a selected branch. This icon is active for the Select Tests tab only.

· Under the Connect tab, click the Run Tests button to run the selected tests. By default, this button is grayed out. It is highlighted when you select either the I have completed these instructions check box or the Suppress all connection prompts check box.

· Under the Run Tests tab, click the [image] button to run the selected tests. You may configure the settings under the Run Tests tab to run the tests either Once, N (multiple but limited) Times or Forever.

· For more information on the options available under the Run Tests tab, see:

  • To select the Store Mode

  • To run multiple times

  • To send email on pauses or stops

  • To pause or stop on events

  • To specify the event

  2. If there are existing results for selected tests, you receive a prompt to choose the way you want to change the existing results before you continue. By default, Append New Trials is selected.

· To retain the existing test results to compare with the new results of the selected tests, select Append New Trials.

· To remove the existing test results, select Replace ALL Existing Trials so that only the new results of the selected tests are displayed.

  3. A Status window appears and displays the progress of the tests while they are running.

  4. Click Stop to abort the tests from running any further. If you choose to abort the tests, click OK on the following prompt and the Results tab is displayed.

· If you do not select the [image] check-box under the Connect tab and only click the [image] button in the Run Tests tab, you may view the Change Physical Connection/Setup dialog similar to the one shown below.

· You may click Cancel if you wish to abort the tests. You may click Ignore if you do not find a need to change the physical setup.

· If you wish to continue, once you have made the physical changes to the connection according to the instructions listed on the Change Physical Connection/Setup dialog, select the check-box for [image] and click the [image] button to run the tests further.

· Click the [image] button if you wish to view the oscilloscope.

  5. When all selected tests are complete, click OK on the following prompt. The Results tab is displayed.

See Also

· To set the display preferences

· To set the run preferences

Next

· Viewing Results


To select the Store Mode

Running Tests

To select the Store Mode

· You may select the type of trials that must be stored, especially when running multiple tests.

  1. Click the Run Tests tab.

  2. In the Store Mode section, select one of the drop-down options for trials.

· By default, Worst is selected. Irrespective of the selection, the results of up to 25 trials are stored.

· Best — Stores the results of the best N trials.

· Event — Stores the results of N trials when a specific event is detected. See To specify the event.

· Last — Stores the results of the last N trials.

· Worst — Stores the results of the worst N trials.

  3. If you change the type of trials in the Store Mode section, all existing test results will be deleted.

· The selection in the Store Mode affects the trial display options in the Report tab. See To set trial display preferences.


To run multiple times

Running Tests

To run multiple times

· You may select whether to run your tests once, more than once or forever.

  1. Click the Run Tests tab.

  2. In the Run Until section, select one of the drop-down options for Run tests. By default, Once is selected.

· Forever — Tests are run repeatedly until you click the Stop button.

· N Times — Tests are run "N" number of times. You must specify the number of runs by assigning a positive whole number for N. You may choose to have pauses between each run.

· Once — Tests are run only once.

Note

When you choose to run the tests N times, you may use the trial display options in the Report tab of the Preferences dialog box to specify how many trials are displayed in the test report. See To set trial display preferences.


To send emails on pauses or stops

Running Tests

To send emails on pauses or stops

· You may configure the test application to send a notification email whenever a test run pauses or ends.

  1. Click the Run Tests tab.

  2. In the Run Until section, click the Send email check box. The Configure button appears.

  3. Click Configure. The Configure Email dialog appears.

  4. In the Configure Email dialog box, enter the To and From email addresses and the host name of the SMTP Server.

  5. Click OK.

· Pauses occur between runs when you run your tests for a specific number of times (see To run multiple times) or when the test run pauses on occurrence of an event (see To pause or stop on events).


To pause or stop on events

Running Tests

To pause or stop on events

· You may set up test runs to pause or stop at the end of each test upon occurrence of a preselected type of event.

  1. Click the Run Tests tab.

  2. In the Run Until section, click the On event check box. A drop-down selection field appears.

  3. Select one of the options.

· Pause — The test run pauses when the selected type event occurs.

· Stop — The test run stops when the selected type of event occurs.

  4. In the Event section, select the type of event. See To specify the event.

· You may set the pauses or stops between runs to automatically send notification emails (see To send email on pauses or stops).


To specify the event

Running Tests

To specify the event

You may select the type of event when you select Event for the type of trials in the Store Mode section and also after you choose to pause or stop the test runs upon occurrence of that event. See To select the Store Mode on how to select the type of trial and To pause or stop on events on how to enable the Events section.

  1. Click the Run Tests tab.

  2. In the Events section, click the drop-down selection field and choose one of the following options:

· Fail — Causes occurrence of an event when a prerequisite test or selected test fails.

· Margin < N — Causes occurrence of an event when a test generates a margin, which is less than the specified value of N (number of runs). When you select this option, you must enter the minimum required margin percentage.

· ~Pass — Causes occurrence of an event when a selected test passes.

· The tilde (~) character in the Event selection drop-down indicates such types of events that are unavailable. If you select such type of an event, a dialog box prompts the reason for the unavailability of that type. For example, the condition for you to be able to select Pass as the event type is that you must set the type of trials under the Store Mode as either Best, Event or Last. As such, the event type Pass is prefixed with ~ because the type of trials under Store Mode is Worst.


To set the display preferences

Running Tests

To set the display preferences

· You may choose to display or disable the information, warning and error dialogs and modify other display preferences while tests are running.

  1. From the Thunderbolt Compliance Test Application's main menu, click View>Preferences....

  2. In the Preferences dialog box, click the Display tab.

  3. Under the Display tab, you may deselect the check box to disable the display to either one or all types of the following dialogs:

· Information dialogs

· Warning dialogs

· Error dialogs

Note

Display messages where you must select either OK/Cancel or Yes/No, are always enabled.

  4. You may also enable/disable the following display options:

· Invert scope display— displays a white background when the application captures screen shots. By default, this option is disabled. Note that there is no inversion of the scope display if the oscilloscope's ColorGrade is enabled.

· Keep application on top— keeps the application's main dialog box on top of the Infiniium application. By default, this option is enabled. Irrespective of whether this option is enabled or not, the mid-run dialog boxes are always displayed on top.

· Log events— displays the log of all events that occur during the test runs. By default, this option is disabled. You must enable this option only when you are directed by the Keysight support organization.

· Show tooltips— enables appearance of tooltips as you hover the mouse pointer over various controls in the application. By default, this option is enabled.

  5. Click Apply to save changes and click OK to close the Preferences dialog box.


To set the run preferences

Running Tests

To set the run preferences

· Other than enabling/disabling the display of Information, Warning and Error messages that may occur during test runs (see To set the display preferences), you may modify other preferences that affect the tests runs.

  1. From the Thunderbolt Compliance Test Application's main menu, click View>Preferences....

  2. In the Preferences dialog box, click the Run tab.

  3. In the Prompts section, select/deselect the following options. By default, these options are enabled:

· Beep when user prompted — enables beeps from the oscilloscope whenever there is a prompt for user inputs.

· Beep only during run — restricts the beeps to occur during test runs only.

  4. In the Test Abort Action section, select one of the following conditions that must be met if a test aborts:

· Continue the run — enables continuity in the running of tests until all tests are run, even if one or more tests abort. Note that you may view the problem descriptions related to the aborts after the test run ends.

· Stop the run and report the problem immediately — stops the running of tests as soon as a test aborts and the application generates a problem report immediately.

· Note that the settings of the Test Abort Action section do not affect the Stop button.

  5. Click Apply to save the changes and click OK to close the Preferences dialog box.


Automating the Application

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Automating the Application

· The Automation tab enables you to construct scripts of commands that drive the functionality of the application.

· Select one of the modes: Script or Files. By default, Script is selected.

Script Mode

· In the Script mode, the application runs commands entered in the script text box.

· To construct a script of commands, do one of the following:

  • Type in commands (one per line) in the script text box.

  • Use the command generator by clicking the Commands... button.

Tip

In either case of constructing a script, you may save the script to a text file to easily switch on to the Files automation mode.

Using the command generator in Automation

· You may create either single commands or entire sample scripts (that demonstrate how commands work together) using the command generator.

· Single Command— In this mode,

  1. Select the tab that corresponds to the application tab or menu containing the controls you require to modify.

  2. Select the radio button for the action you desire to perform. The Use command(s) area displays the automation command that performs the desired action. Most commands have placeholder parameters along with the instructions on how to modify/customize them.

· Entire Script— In this mode,

  1. Select a script that describes a task that provides you relevant & adequate information.

· In either of the modes, you may click Copy to Clipboard button to copy the command and paste it within the script or click Append to Script to add the command towards the end of the script. You may optionally include instructions as comments that guide you in customizing the commands.

Note

The command lines that start with a pound (#) symbol in the script under the Automation tab do not function during test runs.

Files Mode

· In the Files mode, the application runs commands that are found in files, as shown in the list. This list of files is constructed and managed using the buttons on the left.

Execution

· Click the Start button to begin running the commands in the Script or Files mode. The first test starts running and the button changes to Stop.

· Before the first test runs, you may click the Stop button to abort the test run. Once the run begins, the Status dialog box appears and you may use the Stop button on this dialog box.

Settings Status

· Some commands result into visible changes to the application's tabs, such as selecting a test. Other commands modify settings that may not be visible, such as "SuppressMessages". To view the current value of the invisible properties, click the Settings... button to access the Settings status dialog box.

Command Line

· To experiment with a command to check its functionality, type the command in the Try a command field and press the <Enter> key to check. If the output has a visible effect, such as selecting a test, go to the corresponding tab to check its behavior.


Viewing Results

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Viewing Results

  1. Click [image] in the toolbar or click the Results tab.

· The Results tab contains three resizeable panes to display information for test results. If you select one of the tests in the top pane, details and reference images (if any) are displayed in the lower panes.

· The summary of the selected test trial is displayed in the bottom left pane. This pane also displays the Worst Trial (depending on your settings in the Store Mode of the Run Tests tab).

· The bottom right pane may have several tabs, depending on the selected Report Preferences. If you select more than one trial, the first tab will be the Summary tab, which displays the summary of all the test trials. The application displays a maximum of 25 trials at one time.

· If you select worst first in the trial display option, the Worst Trial is the next tab after the Summary tab, followed by other trials in the order of trial performance.

· The reference images for the selected trials appear in the bottom right pane. See To show reference images and flash mask hits for more details on reference images.

Tip

A quick way to reset all configuration options and delete all test results is to create a new project. The new project has the default configuration options.

Note

If a test has a non-range limit of 0, that is, value < 0, the test application provides a nominal value. The nominal value produces a non-infinite margin and is used to declare the 100% margin point. You can view the assigned nominal value on the description pane.

See Also

· To delete trials from the results

· To show reference images and flash mask hits

· To change margin thresholds

· To change the test display order

· To set trial display preferences

Next

· Viewing/Exporting/Printing the Report


To delete trials from the results

Viewing Results

To delete trials from the results

· Under the Results tab, do one of the following:

  1. Click [image] on the toolbar, if you want to delete an entire test result and the related trials.

  • Click Yes on the prompt to delete the selected test result and its associated trials.

  2. Select a test result and press the Delete key on the keyboard.

  3. Right-click at a test result (in the upper pane) and select the trial or test to delete.

  4. Right-click inside the display area of the trial tab (in the lower pane).

  5. You may select and delete one trial if you have a summary of trials.

· When you click Delete One Trial..., the application prompts you to select a specific trial to delete in the Select Trial to Delete dialog.

· Select the check-box against the particular trial when you wish to delete a single trial:

· If other tests have results that were generated during the same trial run as the trial you are deleting, the application asks you if you wish to delete these results at the same time.

Note

The number of trials and the results may not match. The application displays those results that were generated during the same run. You may choose to delete those trials as well.

· When you click OK after selecting the trials to delete, a confirmation dialog appears.

· The remaining trials are renumbered in the descending order to fill in the gap left by the deleted trial.

  6. If you delete the last remaining trial of a test, the entire test results are removed. You may use the Delete Selected Test... option in the upper pane to delete all results for a selected test.

· Click Yes if you wish to delete the selected test and all it's trials.

· The test result and all it's associated trials are deleted.

Note

There are two situations where you are not allowed to delete a trial:

Case 1 — The trial you attempt to delete is the last remaining extreme trial but not the last remaining trial. In the Thunderbolt Compliance Test Application, the maximum number of trials displayed is 25. For example:

  1. Let us assume N is 25 (the maximum number of trials displayed).

  2. You have more than N trials of a test.

  3. You may delete up to N-1 trials, where all these tests are displayed in the individual result tabs. You will not be able to delete the last remaining test displayed in the individual result tab or other non-displayed tests. However, you may delete the entire test.

Case 2 — The trial you attempt to delete is associated with a trial defined in Case 1.


To show reference images and flash mask hits

Viewing Results

To show reference images and flash mask hits

  1. In the Results tab, click in the Reference Images pane.

· This opens the reference image dialog.

  2. In the reference image dialog, you can:

· Click the flash red pixels button [image] to highlight the points of failure.

· Click the zoom in [image] or zoom out [image] buttons to resize the dialog.

  3. Click the close button [image] to close the reference image dialog.


To change margin thresholds

Viewing Results

To change margin thresholds

  1. From the Thunderbolt Compliance Test Application's main menu, click View>Preferences....

· Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Report tab.

  3. In the Margin Reporting section, you can:

· Enable or disable margin highlighting.

· Change the percent of margin at which to give warnings or critical failures.

  4. Click Apply to save your changes and click OK to close the Preference dialog box.


To change the test display order

Viewing Results

To change the test display order

  1. From the Thunderbolt Compliance Test Application's main menu, click View>Preferences....

· Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Report tab.

  3. In the Test Display section, select the radio button to arrange tests chronologically or you may use the same ordering as in the Select Tests tab. By default, Chronologically is selected.

  4. Click Apply to save your changes and click OK to close the Preferences dialog box.

Note

These settings only affect the viewing of results and not their capture. Therefore, a change can be made to either before or after running the tests.


To set trial display preferences

Viewing Results

To set trial display preferences

  1. From the Thunderbolt Compliance Test Application's main menu, click View>Preferences....

· Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Report tab.

  3. In the Trial Display section, select the number of worst trials whose details you want the application to display.

  4. Select the radio button for Order trial details: to arrange the display order of the trial details either chronologically or the worst trial first followed by the rest of the trials. By default, Worst first is selected.

  5. Select the check-box for Show images for up to 25 worst trial(s) if you want the application to display images of the signal on the scope that were captured during running of such trials. By default, this box is selected.

  6. Click Apply to save your changes and click OK to close the Preferences dialog box.

Note

These settings only affect the viewing of results and not their capture. Therefore, a change can be made to either before or after running the tests.


Viewing/Exporting/Printing the Report

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Viewing/Exporting/Printing the Report

· To view the HTML test report, click the Html Report tab.

See Also

· To export the report

· To print the report

· To set HTML Report preferences

Next

· Saving Test Projects


To export the report

Viewing/Exporting/Printing the Report

To export the report

  1. From the Thunderbolt Compliance Test Application's main menu, click File>Export Results.

  2. To export the HTML test report, click either CSV or HTML.

To export results in CSV (comma-separated value) format

  1. Select CSV to export the results as a comma-separated list of values.

  2. In the Export CSV Results dialog, type a name for the CSV file and click Save.

· You may view the CSV file. Note that the data format is shown in the first line of the exported *.csv file.

To export the report in HTML format

· You may export the test reports in HTML format using Single-File or Multi-File mode.

· Single-File —

  1. Click File>Export Results>HTML>Single-File.

  2. Click OK on the following prompt.

  3. On the Save Webpage dialog, select Web Archive, single file (*.mht) to save a single-file report, in the Save as type: drop-down.

Note

Single-file reports do not contain hyperlinks in the summary table, due to the .mht format limitation. If you require these hyperlinks, use the multi-file format.

· Multi-File —

  1. For large reports, where you may prefer using links within the report, select the File>Export Results>HTML>Multi-File option. Selecting the multi-file option exports the results as a set of separate image and HTML files.

  2. Select a folder in the Browse For Folder dialog to save the report.

  3. Click OK. The application creates a folder with the specified name that may be copied to any computer. To view the exported report, open the HTML file stored in the folder.


To print the report

Viewing/Exporting/Printing the Report

To print the report

  1. To preview the HTML test report printout, click [image] or choose File>Print Preview... from the Thunderbolt Compliance Test Application's main menu.

  2. To print the HTML test report, click [image] or choose File>Print... from the Thunderbolt Compliance Test Application's main menu.


To set HTML Report preferences

Viewing Results

To set HTML Report preferences

  1. From the Thunderbolt Compliance Test Application's main menu, click View>Preferences....

· Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Report tab.

  3. In the Jump Actions section, you can:

· Select the check-box for Select Tests tab double click jumps to result to enable double-click on the tests under the Select Tests tab, which would display the corresponding results under the Results tab. By default, this setting is disabled.

· Select the check-box for HTML Report tab display jumps to selected result to enable clicking on main HTML report, which will cause the report to scroll down to the location of the test result that is currently selected on the Results tab. If no tests are selected under the Results tab, the HTML report stays on top. By default, this setting is disabled. Regardless of this setting, if you double-click a row on the Results tab, the application automatically displays the HTML Report tab and scrolls down to the corresponding result.

  4. Click Apply to save the changes and click OK to close the Preferences dialog box.


Understanding the Report

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Understanding the Report

· The information in this topic will help you understand the different sections of the Thunderbolt HTML Report.

· The top section of the Thunderbolt HTML Report contains the report header. The figure that follows shows an example of a report header. It has information about the Oscilloscope used to perform the test: the version of the Oscilloscope's application, the model number and the serial number of the Oscilloscope as well as the date and time the test was performed. Information entered and selections made in the Set Up tab are also displayed in this box. If any of this information was not entered, it will not be displayed here.

Summary of Results

· The Summary of Results section gives an overview for each of the tests that were run.

· The Pass column indicates wether the tests passed or failed. The Actual Value column shows the actual case value across all of the trials.

· The Margin column shows the percentage of pass or fail and its criticality, depending on the criteria set for the Margin Thresholds (under the Preferences dialog box).

Report Detail

· The next section of the report shows the statistics for each of the selected measurements.


Saving Test Projects

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Saving Test Projects

· To save test settings and results to the current project directory:

  1. Choose File>Save Project from the Thunderbolt Compliance Test Application's main menu.

· To save test settings and results to a new project directory:

  1. Choose File>Save Project As... from the Thunderbolt Compliance Test Application's main menu.

  2. In the Save Project As dialog, type a name that you want to save your project as.

  3. In the Browse for Folder dialog box, select the appropriate folder location.

· Project files are saved in a directory whose name is the device name.

  4. Click OK.

See Also

· To set AutoRecovery preferences

Next

· Controlling the Application via a Remote PC


To set AutoRecovery preferences

Saving Test Projects

To set AutoRecovery preferences

  1. From the Thunderbolt Compliance Test Application's main menu, click View>Preferences....

  2. In the Preferences dialog box, click the Save/Load tab.

  3. In the Auto Recovery section, select one of the following options:

· To auto-save results after each trial or permutation even if the entire multi-trial is not complete. This option enables full recovery.

· To auto-save results only upon the completion of the entire multi-trial.

  4. Click Apply to save changes and click OK to close the Preferences dialog box.


User Defined Add-Ins

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

User-Defined Add-Ins

· If there are measurements you would like the compliance test application to make that are not currently included in its test list, you can use the Keysight N5467A User Defined Application (UDA) tool to design and deploy an "add-in", or package of tests that can be imported into existing compliance applications. Please see the UDA documentation for information on how to create an add-in.

See Also

  • To install an add-in

  • To remove an add-in


To install an add-in

User-Defined Add-Ins

To install an add-in

  1. From the Thunderbolt Compliance Test Application's main menu, click File>User Defined:

  2. The application prompts for the location of the add-in's installer (created by the N5467B UDA tool). Select the UDA Add-In installer file and click Open.

  3. Click OK on the prompt that appears prior to the installation of add-in:

[Caution]

If your project has unsaved test results, click Cancel and save the project before retrying.

  4. Once you click OK, the applications installs the add-in and the Thunderbolt Compliance Test Application relaunches automatically.

  5. Once the application launches again, the following prompt appears. Click OK.

· Add-in tests are only visible in Debug Mode, so when there is an active add-in installed, the test application will start up in this mode.

  6. In the Debug mode, add-in tests are displayed in their own test group under the Select Tests tab. You may select these tests to see the description in the area below.

· As a result of installing add-ins, under the Configure tab, by default, Debug is selected in the Mode: area.

· If you switch to the Compliance mode at this stage, the following prompt appears:

· To view the add-in tests under the Select Tests tab, click Cancel.

· To hide the add-in tests from the Select Tests tab, click OK and the Configure tab displays Configure mode options.


To remove an add-in

User-Defined Add-Ins

To remove an add-in

  1. From the Thunderbolt Compliance Test Application's main menu, click File>User Defined>Uninstall Add-In....

  2. The application displays the following prompt before you uninstall the add-in. Click OK if you wish to uninstall the add-in.

[Caution]

If your project has unsaved test results, choose Cancel and save the project before retrying.

· When you click OK after saving any existing test results, the Thunderbolt Compliance Test Application restarts and the add-in is uninstalled.


Controlling the Application via a Remote PC

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Controlling the Application via a Remote PC

· If the App Remote license option is installed (for the N5452A remote interface) on the oscilloscope, the Thunderbolt Compliance Test Application's Preference dialog contains a Remote tab, which allows you to enable the remote interface and configure the remote options.

· Using the N5452A remote interface, you can control Infiniium compliance applications from a remote PC. While the remote interface has ready-to-run executable features available, you may also create custom programs using the .NET 2.0 programming language or the National Instruments' LabVIEW 8.5 graphical programming environment.

· With the remote interface, you can:

  1. Launch and close the applications

  2. Configure options

  3. Run tests

  4. Obtain results

  5. Control display options & preferences

  6. Save and load projects

For more information on the remote interface, see the N5452A Remote Interface for Infiniium Compliance Applications on the Keysight web site.

See Also

· To check for the App Remote license

· To identify the remote interface version

· To enable the remote interface

· To enable remote interface hints

Next

· Using a Second Monitor


To check for the App Remote license

Controlling the Application via a Remote PC

To check for the App Remote license

  1. From the Infiniium Oscilloscope's main menu, choose Help>About Infiniium.

  2. In the license set, check for the App Remote license.


To identify the remote interface version

Controlling the Application via a Remote PC

To identify the remote interface version

  1. From the Thunderbolt Compliance Test Application's main menu, click Help>About....

  2. In the About dialog, the remote interface version is listed above the UDA Add-In Interface Version information.


To enable the remote interface

Controlling the Application via a Remote PC

To enable the remote interface

  1. From the Thunderbolt Compliance Test Application's main menu, click View>Preferences....

  2. In the Preferences dialog, click the Remote tab.

  3. Select the Enable remote interface option if you require access to the application remotely.

· If you perform the tests with the application's user interface and want to ensure that there is no interference from other remote users, deselect the Enable remote interface option to disable remote interface.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


To enable remote interface hints

Controlling the Application via a Remote PC

To enable remote interface hints

  1. From the Thunderbolt Compliance Test Application's main menu, click View>Preferences....

  2. In the Preferences dialog, click the Remote tab.

  3. In the Remote Options section, select the Show remote interface hints in language: check box.

  4. When you select this option:

· Select the remote programming language described in the tips.

· Tooltips related to the remote interface commands appear when you click the toolbar.

· Various controls in the tabs will have a context menu item added as "Remote interface hint...".

· The Select Tests and Configure tabs will display a remote hint in their description panes at the bottom of the screen, when an item is selected.

  5. Click Apply to save the changes and click OK to close the Preferences dialog.


Using a Second Monitor

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Using a Second Monitor

· You may use a second monitor to display the Thunderbolt Compliance Test Application, allowing you to view the Oscilloscope while using the application. If required, connect the second monitor to the video port labeled Second Monitor on the rear panel of the Oscilloscope. Do not connect the second monitor to the port labeled VGA.

Note

The VGA output only displays the screen of the oscilloscope on the external monitor.

· Before starting the Thunderbolt Compliance Test Application, ensure that the second monitor is configured properly:

  1. Exit the Oscilloscope application and click the Windows Start menu button.

  2. Select the Control Panel menu item.

  3. Select Appearance and Personalization.

  4. Under Display, click Connect to an external display.

  5. Select the second monitor in the Display: drop-down. The recommended screen resolution changes accordingly.

· If you wish to select a screen resolution, which is different than the recommended setting, click the drop-down for Resolution: and select an option.

  6. In the Multiple displays: drop-down, select Extend these displays to be able to move the mouse pointer on the oscilloscope screen to the second monitor's display.

· To stop using the second monitor, select the Show desktop only on 1 control from the Multiple displays: drop-down.

  7. Click Apply to save these changes and click OK to close the Screen Resolution dialog box.

See Also

· Thunderbolt Compliance Test Application—At a Glance


Installing the USB-to-Serial Converter Driver

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Installing the USB-to-Serial Converter Driver

· The Thunderbolt Compliance Test Application allows automation using the Thunderbolt Micro-Controller. The Thunderbolt Micro-Controller configures the DUT to generate a corresponding test pattern during device testing.

· To enable the use of the Thunderbolt Micro-Controller board (TBT-TPA-UH) from Wilder Technologies, you must install the USB-to-Serial converter driver in the Oscilloscope.

Installing the USB-to-Serial Converter Driver

· The following procedure guides you to install the driver under the Windows® 7 operating system in the Oscilloscope. This procedure should also be applicable for other Windows® operating systems.

  1. Switch on the oscilloscope.

  2. Plug in the Thunderbolt Micro-Controller at the USB port of the Oscilloscope.

  3. The system detects the new device and try to install the driver software.

· However, the device driver software installation is not be successful.

  4. Go to Control Panel>System and click Device Manager. Double-click Other devices and you should see two devices named Dual RS232. Right-click either of the devices and select Update Driver Software.

  5. Click Browse my computer for driver software.

  6. When prompted for the driver location of the device, click Browse and refer to the USB-to-Serial converter driver. The driver can be located at C:\Program Files (x86)\Keysight\Infiniium\Apps\TBTTest\driver\USB to Serial. Click Next to proceed.

  7. The system detects the driver. However, prior to driver software installation, the system may prompt you that the publisher of this device driver software has not yet been verified. Click Install this driver software anyway.

  8. The system proceeds to install the driver software for USB Serial Converter A. Once installation has completed, click Close on the following prompt to continue.

  9. USB Serial Converter A appears under Universal Serial Bus controllers in the Device Manager. One of the Dual RS232 devices is replaced with USB Serial Port in the Device Manager.

  10. Right-click USB Serial Port and select Update Driver Software. Click Browse my computer for driver software. When prompted for the driver location of the device, click Browse and refer to the USB-to-serial converter driver. The driver can be located at C:\Program Files (x86)\Keysight\Infiniium\Apps\TBTTest\driver\USB to Serial. Click Next to continue.

  11. The system restarts to install the driver software for the USB serial port. Once installation has completed, click Close on the following prompt to continue.

  12. Repeat steps 4 to 10 to install the driver software for the other Dual RS232 device. The system installs the driver software for both USB Serial Converter B and USB Serial Port for the device. Once installation has completed, click Close on the prompts to continue.

  13. The USB Serial Port (COM4) and USB Serial Port (COM5) device appears under Ports (COM & LPT). USB Serial Converter A and USB Serial Converter B also appears under Universal Serial Bus controllers.

· This also indicates that the system has assigned the device to the COM4 and COM5 ports.

Note

The COM port assignment of the USB-to-Serial converter varies on your Oscilloscope's hardware configuration. The system checks which COM port is unused or free in your computer and assigns that port number to the device.


Restricted Rights Legend

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Keysight Technologies' standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


Safety Notices

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Safety Notices

[Caution]

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

[Warning]

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Trademarks

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Trademarks

Adobe®, Acrobat®, and the Acrobat Logo® are trademarks of Adobe Systems Incorporated.

Intel® is a trademark of Intel Corporation.

ActiveTcl® and ActiveState® are trademarks or registered trademarks of ActiveState.

All other marks are the property of their respective owners.


Warranty

Keysight N6463B ThunderboltTM Compliance Test Application Online Help

Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Keysight disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Keysight shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Keysight and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.